Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PrimitiveKind

    java.lang.Object
      |
      +--org.omg.CORBA.PrimitiveKind

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class PrimitiveKind
extends java.lang.Object
implements IDLEntity

In CORBA, there are primitive types as for example : long, double, float, and so on. This enumeration provides an identifier for each primitive type.

See Also:
  Serialized Form

Field Summary
`static int` | `_pk_any` Enum member pk_any value
`static int` | `_pk_boolean` Enum member pk_boolean value
`static int` | `_pk_char` Enum member pk_char value
`static int` | `_pk_double` Enum member pk_double value
`static int` | `_pk_float` Enum member pk_float value
`static int` | `_pk_long` Enum member pk_long value
`static int` | `_pk_longdouble` Enum member pk_longdouble value
`static int` | `_pk_longlong` Enum member pk_longlong value
`static int` | `_pk_null` Enum member pk_null value
`static int` | `_pk_objref` Enum member pk_objref value
`static int` | `_pk_octet` Enum member pk_octet value
`static int` | `_pk_Principal` Enum member pk_Principal value
`static int` | `_pk_short` Enum member pk_short value
`static int` | `_pk_string` Enum member pk_string value
`static int` | `_pk_TypeCode` Enum member pk_TypeCode value
`static int` | `_pk_ulong` Enum member pk_ulong value
`static int` | `_pk_ulonglong` Enum member pk_ulonglong value
`static int` | `_pk_ushort` Enum member pk_ushort value
`static int` | `_pk_value_base` Enum member pk_value_base value
`static int` | `_pk_void` Enum member pk_void value
`static int` | `_pk_wchar` Enum member pk_wchar value
`static int` | `_pk_wstring` Enum member pk_wstring value
`static PrimitiveKind` | `pk_any` Enum member pk_any
`static PrimitiveKind` | `pk_boolean` Enum member pk_boolean
`static PrimitiveKind` | `pk_char` Enum member pk_char
`static PrimitiveKind` | `pk_double` Enum member pk_double
`static PrimitiveKind` | `pk_float` Enum member pk_float
`static PrimitiveKind` | `pk_long` Enum member pk_long
`static PrimitiveKind` | `pk_longdouble` Enum member pk_longdouble
`static PrimitiveKind` | `pk_longlong` Enum member pk_longlong
`static PrimitiveKind` | `pk_null` Enum member pk_null
`static PrimitiveKind` | `pk_objref` Enum member pk_objref
`static PrimitiveKind` | `pk_octet` Enum member pk_octet
`static PrimitiveKind` | `pk_Principal` Enum member pk_Principal
`static PrimitiveKind` | `pk_short` Enum member pk_short
`static PrimitiveKind` | `pk_string` Enum member pk_string
`static PrimitiveKind` | `pk_TypeCode` Enum member pk_TypeCode
`static PrimitiveKind` | `pk_ulong` Enum member pk_ulong
`static PrimitiveKind` | `pk_ulonglong` Enum member pk_ulonglong
`static PrimitiveKind` | `pk_ushort` Enum member pk_ushort
`static PrimitiveKind` | `pk_value_base` Enum member pk_value_base
`static PrimitiveKind` | `pk_void` Enum member pk_void
`static PrimitiveKind` | `pk_wchar` Enum member pk_wchar
`static PrimitiveKind` | `pk_wstring` Enum member pk_wstring

Method Summary
`static PrimitiveKind` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _pk_null

    public static final int _pk_null

  Enum member pk_null value

### pk_null

    public static final PrimitiveKind pk_null

  Enum member pk_null

### _pk_void

    public static final int _pk_void

  Enum member pk_void value

### pk_void

    public static final PrimitiveKind pk_void

  Enum member pk_void

### _pk_short

    public static final int _pk_short

  Enum member pk_short value

### pk_short

    public static final PrimitiveKind pk_short

  Enum member pk_short

### _pk_long

    public static final int _pk_long

  Enum member pk_long value

### pk_long

    public static final PrimitiveKind pk_long

  Enum member pk_long

### _pk_ushort

    public static final int _pk_ushort

  Enum member pk_ushort value

### pk_ushort

    public static final PrimitiveKind pk_ushort

  Enum member pk_ushort

### _pk_ulong

    public static final int _pk_ulong

  Enum member pk_ulong value

### pk_ulong

    public static final PrimitiveKind pk_ulong

  Enum member pk_ulong

### _pk_float

    public static final int _pk_float

  Enum member pk_float value

### pk_float

    public static final PrimitiveKind pk_float

  Enum member pk_float

### _pk_double

    public static final int _pk_double

  Enum member pk_double value

### pk_double

    public static final PrimitiveKind pk_double

  Enum member pk_double

### _pk_boolean

    public static final int _pk_boolean

  Enum member pk_boolean value

### pk_boolean

    public static final PrimitiveKind pk_boolean

  Enum member pk_boolean

### _pk_char

    public static final int _pk_char

  Enum member pk_char value

### pk_char

    public static final PrimitiveKind pk_char

  Enum member pk_char

### _pk_octet

    public static final int _pk_octet

  Enum member pk_octet value

### pk_octet

    public static final PrimitiveKind pk_octet

  Enum member pk_octet

### _pk_any

    public static final int _pk_any

  Enum member pk_any value

### pk_any

    public static final PrimitiveKind pk_any

  Enum member pk_any

### _pk_TypeCode

    public static final int _pk_TypeCode

  Enum member pk_TypeCode value

### pk_TypeCode

    public static final PrimitiveKind pk_TypeCode

  Enum member pk_TypeCode

### _pk_Principal

    public static final int _pk_Principal

  Enum member pk_Principal value

### pk_Principal

    public static final PrimitiveKind pk_Principal

  Enum member pk_Principal

### _pk_string

    public static final int _pk_string

  Enum member pk_string value

### pk_string

    public static final PrimitiveKind pk_string

  Enum member pk_string

### _pk_objref

    public static final int _pk_objref

  Enum member pk_objref value

### pk_objref

    public static final PrimitiveKind pk_objref

  Enum member pk_objref

### _pk_longlong

    public static final int _pk_longlong

  Enum member pk_longlong value

### pk_longlong

    public static final PrimitiveKind pk_longlong

  Enum member pk_longlong

### _pk_ulonglong

    public static final int _pk_ulonglong

  Enum member pk_ulonglong value

### pk_ulonglong

    public static final PrimitiveKind pk_ulonglong

  Enum member pk_ulonglong

### _pk_longdouble

    public static final int _pk_longdouble

  Enum member pk_longdouble value

### pk_longdouble

    public static final PrimitiveKind pk_longdouble

  Enum member pk_longdouble

### _pk_wchar

    public static final int _pk_wchar

  Enum member pk_wchar value

### pk_wchar

    public static final PrimitiveKind pk_wchar

  Enum member pk_wchar

### _pk_wstring

    public static final int _pk_wstring

  Enum member pk_wstring value

### pk_wstring

    public static final PrimitiveKind pk_wstring

  Enum member pk_wstring

### _pk_value_base

    public static final int _pk_value_base

  Enum member pk_value_base value

### pk_value_base

    public static final PrimitiveKind pk_value_base

  Enum member pk_value_base

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static PrimitiveKind from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD